## kamailio 6.0.4+bpo11

=== debian/changelog ===
kamailio (6.0.4+bpo11) bullseye; urgency=medium

  * Automated package build for tag 6.0.4 and distribution bullseye.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Thu, 06 Nov 2025 11:04:30 +0000

kamailio (6.0.4) unstable; urgency=medium

  * version set 6.0.4

 -- Victor Seva <vseva@debian.org>  Thu, 06 Nov 2025 08:33:15 +0100

kamailio (6.0.3) unstable; urgency=medium

  * version set 6.0.3

 -- Victor Seva <vseva@debian.org>  Wed, 10 Sep 2025 09:04:56 +0200

## kamailio 6.0.4+bpo12

=== debian/changelog ===
kamailio (6.0.4+bpo12) bookworm; urgency=medium

  * Automated package build for tag 6.0.4 and distribution bookworm.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Thu, 06 Nov 2025 11:07:36 +0000

## kamailio 6.0.4+bpo13

=== debian/changelog ===
kamailio (6.0.4+bpo13) trixie; urgency=medium

  * Automated package build for tag 6.0.4 and distribution trixie.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Thu, 06 Nov 2025 11:05:33 +0000

## kamailio 6.0.4+ubuntu18.04

=== debian/changelog ===
kamailio (6.0.4+ubuntu18.04) bionic; urgency=medium

  * Automated package build for tag 6.0.4 and distribution bionic.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Thu, 06 Nov 2025 11:06:35 +0000

## kamailio 6.0.4+ubuntu20.04

=== debian/changelog ===
kamailio (6.0.4+ubuntu20.04) focal; urgency=medium

  * Automated package build for tag 6.0.4 and distribution focal.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Thu, 06 Nov 2025 11:06:35 +0000

## kamailio 6.0.4+ubuntu22.04

=== debian/changelog ===
kamailio (6.0.4+ubuntu22.04) jammy; urgency=medium

  * Automated package build for tag 6.0.4 and distribution jammy.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Thu, 06 Nov 2025 11:05:33 +0000

## kamailio 6.0.4+ubuntu24.04

=== debian/changelog ===
kamailio (6.0.4+ubuntu24.04) noble; urgency=medium

  * Automated package build for tag 6.0.4 and distribution noble.

 -- Jenkins Sipwise <jenkins@sipwise.com>  Thu, 06 Nov 2025 11:04:30 +0000

## kamailio 6.0.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.13)

# Use cmake -DCMAKE_SYSTEM_NAME .. for cross-compiling (inside build directory)

# Set the project name
project(
  kamailio
  VERSION 6.0.5
  DESCRIPTION "Kamailio SIP Server"
  HOMEPAGE_URL "https://www.kamailio.org"
)

# ---- Include guards ----

if(PROJECT_SOURCE_DIR STREQUAL PROJECT_BINARY_DIR)
  message(
    FATAL_ERROR
      "In-source builds not allowed. Please make a new directory (called a build directory) \
and run CMake again accordingly."
  )
endif()

# ---- Project settings ----

# Set the version number
set(EXTRAVERSION "")
set(RELEASE "${PROJECT_VERSION}${EXTRAVERSION}")

message(STATUS "PROJECT_VERSION: ${PROJECT_VERSION}")
message(STATUS "RELEASE:  ${RELEASE}")

# cmake-format: off
# Set the version number as a single integer
math(EXPR VERSIONVAL
  "${PROJECT_VERSION_MAJOR}*1000000
    + ${PROJECT_VERSION_MINOR}*1000
    + ${PROJECT_VERSION_PATCH}"
)
message(STATUS "VERSIONVAL: ${VERSIONVAL}")
# cmake-format: on

# Specify the C standard if non provided by user
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
  set(CMAKE_C_STANDARD_REQUIRED True)
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

include(${CMAKE_SOURCE_DIR}/cmake/BuildType.cmake)
# -----------------------
# Main project name
# -----------------------
# main binary name
set(MAIN_NAME
    "kamailio"
    CACHE STRING "Main binary name"
)

# use kamailio config
set(CFG_NAME
    "kamailio"
    CACHE STRING "Config name"
)

include(GNUInstallDirs)
include(${CMAKE_SOURCE_DIR}/cmake/defs.cmake)

# Add the source directory
add_subdirectory(src)

# Add utils
# add_subdirectory(utils)
add_subdirectory(utils/kamctl)
add_subdirectory(utils/kamcmd)

# ----------
# Db schema files
# Include it here due to calling a script where we need the base binary dir
# and scirpts are using {CMAKE_BINARY_DIR} from where they where first included.
include(${CMAKE_SOURCE_DIR}/cmake/dbschema.cmake)

# ----------
# Packaging
# ----------
include(${CMAKE_SOURCE_DIR}/cmake/deb-packaging.cmake)

# Add uninstall target
if(NOT TARGET uninstall)
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake-uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake-uninstall.cmake" IMMEDIATE @ONLY
  )

  add_custom_target(
    uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake/cmake-uninstall.cmake
    COMMENT "Uninstalling ${PROJECT_NAME}-${PROJECT_VERSION} from ${CMAKE_INSTALL_PREFIX}"
  )
endif()

=== pkg/kamailio/Makefile ===
# Makefile to help building packages

ifneq ("$(wildcard ../../src/config.mak)","")
include ../../src/Makefile.defs
else ifneq ($(MAKECMDGOALS),cfg)
$(error Please start "make cfg" first)
endif

RPMBUILD_TOP := /tmp/kamailio_rpmbuild
RPM_VER = ${shell echo "$(RELEASE)" | sed -e "s/-dev[0-9]//" -e "s/-rc[0-9]//" -e "s/-pre[0-9]//"}
RPM_REL = ${shell echo "$(RELEASE)." | grep -o -P "dev[0-9]\." }
DIST_ARCHIVE = ${shell echo "kamailio-$(RPM_VER)_src.tar.gz"}
APK_VERSION = ${shell echo "$(RELEASE)" | grep -o "^[0-9.]*"}
RPMBUILD_OPT= --define "_topdir $(RPMBUILD_TOP)"
GIT_TAG = ${shell git rev-parse HEAD 2> /dev/null}

# generate config.mak and modules.lst
.PHONY: cfg
cfg:
	$(MAKE) -C ../../src cfg

# generate the tarball with source tree
.PHONY: tar
tar:
	rm -f ../../kamailio*_src.tar.gz
	$(MAKE) -C ../.. tar

# build alpine apk packages
.PHONY: apk
apk:
	echo Building alpine packages using commit ${GIT_TAG}
	sed -e "s/^_gitcommit=.*/_gitcommit=${GIT_TAG}/" \
	    -e "s/^pkgver=.*/pkgver=${APK_VERSION}/" \
	    -i alpine/APKBUILD
	abuild -C alpine git_archive
	abuild -C alpine checksum
	@echo \"abuild\" cannot be started from Makefile please start manually \"abuild -C alpine -r\"

# build source rpm package
.PHONY: src.rpm
src.rpm: tar
	mkdir -p ${RPMBUILD_TOP}/SOURCES
	mv ../../kamailio-$(RELEASE)_src.tar.gz ${RPMBUILD_TOP}/SOURCES/${DIST_ARCHIVE}
	sed -e 's/%define ver .*/%define ver ${RPM_VER}/' \
            -e 's/%define rel .*/%define rel ${RPM_REL}0%{dist}/' \
            -e 's/setup -n %{name}-%{ver}/setup -n kamailio-$(RELEASE)/' \
            -i obs/kamailio.spec
	rpmbuild ${RPMBUILD_OPT} -bs obs/kamailio.spec
	mv ${RPMBUILD_TOP}/SRPMS/kamailio-${RPM_VER}*.src.rpm ../..
	rm -Rf ${RPMBUILD_TOP}

# build rpm packages
.PHONY: rpm
rpm: src.rpm
	mock ../../kamailio-$(RELEASE).*.src.rpm

# build debian packages
.PHONY: deb
deb:
	$(MAKE) -C ../.. deb

=== utils/kamctl/CMakeLists.txt ===
project(kamailio_utils)

get_property(FINAL_MODULES_LIST GLOBAL PROPERTY ADDED_MODULES_LIST)

include(${CMAKE_SOURCE_DIR}/cmake/db_files.cmake)

# --- kamctl  ---
set(KAMCTL_BASE_FILES kamctl.base kamctl.ctlbase kamctl.rpcfifo kamctl.ser kamctl.sqlbase)

# Install kamctl.base and the rest
foreach(file IN LISTS KAMCTL_BASE_FILES)
  add_kamctl_db_files("kamailio-core" ${file})
endforeach()

# Kamctl target to depend on all kamctl files
# Install kamctl and it's database files
get_property(KAMCTL_DEPENDENCIES GLOBAL PROPERTY KAMCTL_DEPENDENCIES)
add_custom_target(
  kamctl ALL
  COMMAND
    sed -e "s#/usr/local/sbin#${BIN_DIR}#g" -e "s#/usr/local/lib/kamailio#${LIB_DIR}#g" -e
    "s#/usr/local/etc/kamailio#${CFG_DIR}#g" < ${CMAKE_CURRENT_SOURCE_DIR}/kamctl >
    ${CMAKE_CURRENT_BINARY_DIR}/kamctl
  COMMENT "Build kamctl and its dependencies"
)
add_dependencies(kamctl ${KAMCTL_DEPENDENCIES})

install(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/kamctl
  DESTINATION ${CMAKE_INSTALL_SBINDIR}
  COMPONENT kamailio-core
)

# --- kamdbctl  ---
# Setup and install kamdbctl stuff
set(KAMDBCTL_BASE_FILES kamdbctl.base)

# Install kamdbctl
foreach(file IN LISTS KAMDBCTL_BASE_FILES)
  add_kamdbctl_db_files("kamailio-core" ${file})
endforeach()

get_property(KAMDBCTL_DEPENDENCIES GLOBAL PROPERTY KAMDBCTL_DEPENDENCIES)
add_custom_target(
  kamdbctl ALL
  COMMAND
    sed -e "s#/usr/local/sbin#${BIN_DIR}#g" -e "s#/usr/local/lib/kamailio#${LIB_DIR}#g" -e
    "s#/usr/local/etc/kamailio#${CFG_DIR}#g" < ${CMAKE_CURRENT_SOURCE_DIR}/kamdbctl >
    ${CMAKE_CURRENT_BINARY_DIR}/kamdbctl
  COMMENT "Build kamdbctl and its dependencies"
)
add_dependencies(kamdbctl ${KAMDBCTL_DEPENDENCIES})

install(
  PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/kamdbctl
  DESTINATION ${CMAKE_INSTALL_SBINDIR}
  COMPONENT kamailio-core
)

# Install the configuration file (kamctlrc) using a CODE block to check
# existence at install time instead of configure time
install(
  CODE "
    set(dir \"\$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SYSCONFDIR}/${MAIN_NAME}\")

    if(EXISTS \"\${dir}/kamctlrc\")
        message(STATUS \"kamctlrc already exists in\${dir}/kamctlrc.
          Installing as kamctlrc.sample\")
        file(INSTALL \"${CMAKE_CURRENT_SOURCE_DIR}/kamctlrc\"
          DESTINATION \"$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SYSCONFDIR}/${MAIN_NAME}\"
          RENAME \"kamctlrc.sample\"
          PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ
        )
    else()
        file(INSTALL \"${CMAKE_CURRENT_SOURCE_DIR}/kamctlrc\"
            DESTINATION \"$ENV{DESTDIR}${CMAKE_INSTALL_FULL_SYSCONFDIR}/${MAIN_NAME}\"
            PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
    endif()
"
  COMPONENT kamailio-core
)

# Man pages generation and installation
add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/kamctl.8
  COMMAND
    sed -e
    "s#/etc/${CFG_NAME}/${CFG_NAME}\.cfg#${CMAKE_INSTALL_FULL_SYSCONFDIR}/${MAIN_NAME}/${MAIN_NAME}.cfg#g"
    -e "s#/usr/sbin/#${CMAKE_INSTALL_FULL_SBINDIR}/#g" -e
    "s#/usr/lib/${CFG_NAME}/modules/#${CMAKE_INSTALL_FULL_LIBDIR}/${MAIN_NAME}/#g" -e
    "s#/usr/share/doc/${CFG_NAME}/#${CMAKE_INSTALL_FULL_DOCDIR}/#g" <
    ${CMAKE_CURRENT_SOURCE_DIR}/kamctl.8 > ${CMAKE_CURRENT_BINARY_DIR}/kamctl.8
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/kamctl.8
)

add_custom_command(
  OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/kamdbctl.8
  COMMAND
    sed -e
    "s#/etc/${CFG_NAME}/${CFG_NAME}\.cfg#${CMAKE_INSTALL_FULL_SYSCONFDIR}/${MAIN_NAME}/${MAIN_NAME}.cfg#g"
    -e "s#/usr/sbin/#${CMAKE_INSTALL_FULL_SBINDIR}/#g" -e
    "s#/usr/lib/${CFG_NAME}/modules/#${CMAKE_INSTALL_FULL_LIBDIR}/${MAIN_NAME}/#g" -e
    "s#/usr/share/doc/${CFG_NAME}/#${CMAKE_INSTALL_FULL_DOCDIR}/#g" <
    ${CMAKE_CURRENT_SOURCE_DIR}/kamdbctl.8 > ${CMAKE_CURRENT_BINARY_DIR}/kamdbctl.8
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/kamdbctl.8
)

add_custom_target(
  kamctl_man DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/kamctl.8 ${CMAKE_CURRENT_BINARY_DIR}/kamdbctl.8
)

# In order for these files to be installed, one has to built the kamctl_man target
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/kamctl.8 ${CMAKE_CURRENT_BINARY_DIR}/kamdbctl.8
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man8
  COMPONENT kamailio-core
  OPTIONAL
)

# Install targets
# TODO: FIX IF POSSIBLE after component based-installed components do not exist
# Custom target for installing the kamailio-cfg component
add_custom_target(
  install-kamailio-utils-cfg
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component kamailio-utils-cfg
  COMMENT "Installing kamailio-utils-cfg component"
)

# Custom target for installing the kamailio-utils-bin component
add_custom_target(
  install-kamailio-utils-bin
  COMMAND ${CMAKE_COMMAND} --install ${CMAKE_BINARY_DIR} --component kamailio-utils-bin
  COMMENT "Installing kamailio-utils-bin component"
  DEPENDS kamctl kamdbctl
)

# Custom target for installing the kamailio-utils component
add_custom_target(install-kamailio-utils COMMENT "Installing utils components")
add_dependencies(install-kamailio-utils install-kamailio-utils-cfg install-kamailio-utils-bin)

=== src/modules/gcrypt/CMakeLists.txt ===
file(GLOB MODULE_SOURCES "*.c")

add_library(${module_name} SHARED ${MODULE_SOURCES})

find_package(PkgConfig REQUIRED)
pkg_check_modules(gcrypt IMPORTED_TARGET libgcrypt)

# Fallback to libgcrypt-config if pkg-config fails (RHEL8-based systems)
if(NOT gcrypt_FOUND)
  message(STATUS "Trying to find libgcrypt-config instead...")
  find_program(LIBGCRYPT_CONFIG_EXECUTABLE NAMES libgcrypt-config)
  if(NOT LIBGCRYPT_CONFIG_EXECUTABLE)
    message(FATAL_ERROR "libgcrypt-config not found. Please install libgcrypt development package.")
  endif()
  message(STATUS "Trying to find libgcrypt-config... - Found: ${LIBGCRYPT_CONFIG_EXECUTABLE}")
  execute_process(
    COMMAND ${LIBGCRYPT_CONFIG_EXECUTABLE} --cflags
    OUTPUT_VARIABLE LIBGCRYPT_CFLAGS
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )
  execute_process(
    COMMAND ${LIBGCRYPT_CONFIG_EXECUTABLE} --libs
    OUTPUT_VARIABLE LIBGCRYPT_LIBS
    OUTPUT_STRIP_TRAILING_WHITESPACE
  )

  # Create an interface library to hold the compile options and link libraries
  # These will contain already the necessary -I and -L flags.
  # Might need to remove for non-gcc compatible compilers
  add_library(gcrypt_libs INTERFACE)
  set_target_properties(
    gcrypt_libs PROPERTIES INTERFACE_COMPILE_OPTIONS "${LIBGCRYPT_CFLAGS}" INTERFACE_LINK_LIBRARIES
                                                                           "${LIBGCRYPT_LIBS}"
  )
  add_library(gcrypt::gcrypt ALIAS gcrypt_libs)
else()
  add_library(gcrypt::gcrypt ALIAS PkgConfig::gcrypt)
endif()

target_link_libraries(${module_name} PRIVATE gcrypt::gcrypt)

=== debian/changelog ===
kamailio (6.0.5-1ubuntu1) resolute; urgency=medium

  * d/control: Add build dependency on libicu-dev to fix FTBFS.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 23 Feb 2026 20:26:50 +0000

kamailio (6.0.5-1build2) resolute; urgency=medium

  * No-change rebuild for libnats3.12.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 23 Feb 2026 19:56:19 +0000

kamailio (6.0.5-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 29 Jan 2026 09:24:20 +0000

kamailio (6.0.5-1) unstable; urgency=medium

  * debian/salsa-ci.yml
  * New upstream version 6.0.5

 -- Victor Seva <vseva@debian.org>  Tue, 13 Jan 2026 18:41:42 +0100

=== debian/control ===
Source: kamailio
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
Build-Depends:
 bison,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 docbook-xml,
 erlang-dev,
 flex,
 libcurl4-openssl-dev,
 libev-dev,
 libevent-dev,
 libexpat1-dev,
 libhiredis-dev,
 libjansson-dev,
 libjson-c-dev,
 libjwt-dev (>= 1.12),
 libjwt-dev (<< 3),
 libldap2-dev,
 liblua5.1-0-dev,
 libicu-dev,
 libmaxminddb-dev,
 libmemcached-dev,
 libmicrohttpd-dev,
 libmnl-dev,
 libmongoc-dev,
 libmosquitto-dev,
 libnats-dev,
 libncurses-dev,
 libpcre2-dev,
 libperl-dev,
 libphonenumber-dev,
 libpq-dev,
 librabbitmq-dev,
 libradcli-dev,
 librdkafka-dev,
 libreadline-dev,
 libsasl2-dev,
 libsctp-dev [linux-any],
 libsecsipid-dev [alpha amd64 arm64 armel armhf hurd-any i386 loong64 powerpc ppc64 ppc64el riscv64 s390x],
 libsnmp-dev,
 libsqlite3-dev,
 libssl-dev,
 libsystemd-dev,
 libunistring-dev,
 libwebsockets-dev,
 libwolfssl-dev,
 libxml2-dev,
 openssl,
 pkgconf,
 python3,
 python3-dev,
 ruby-dev,
 unixodbc-dev,
 uuid-dev,
 xsltproc,
 zlib1g-dev,
Standards-Version: 4.7.2.0
Homepage: https://www.kamailio.org/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/kamailio.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/kamailio/
Rules-Requires-Root: no

Package: kamailio
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 adduser,
 python3,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 kamailio-carrierroute-modules,
Suggests:
 kamailio-cpl-modules,
 kamailio-ldap-modules,
 kamailio-lua-modules,
 kamailio-mysql-modules,
 kamailio-perl-modules,
 kamailio-postgres-modules,
 kamailio-presence-modules,
 kamailio-python3-modules,
 kamailio-radius-modules,
 kamailio-redis-modules,
 kamailio-snmpstats-modules,
 kamailio-tls-modules,
 kamailio-unixodbc-modules,
 kamailio-xml-modules,
 kamailio-xmpp-modules,
 stun-server | turn-server,
Provides:
 sip-router,
Description: very fast, dynamic and configurable SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, kamailio can handle thousands requests
 per second even on low-budget hardware. It can be configured to act
 as a SIP proxy, application server, session border controller,
 or call load balancer to handle a set of media servers.
 .
 A C Shell like scripting language provides full control over the server's
 behaviour. It's easy to integrate Kamailio with 3rd party API's and
 applications using HTTP, AMQP, database drivers, LDAP, Radius and many other
 solutions. In addition there is support for scripting using Lua, Python, Perl,
 Java.
 .
 Kamailio's modular architecture allows only required functionality to be
 loaded. There are over 100 modules available: WebSockets for WebRTC,
 authentication, multiple databases - both traditional SQL databases as well as
 no-SQL, message bus systems like Rabbit MQ, instant messaging, a presence
 agent, integration with REST-ful APIs using HTTP and JSON or XML, radius
 authentication, record routing, an SMS gateway, a XMPP/jabber gateway, a
 transaction and dialog module, OSP module, statistics support,
 registrar and user location services, SNMP, SIMPLE Presence and much more.
 .
 This package contains the main Kamailio binary along with the principal
 modules and support binaries.

Package: kamailio-geoip2-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: geoip2 module for the Kamailio SIP Server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the geoip2 module, an extension enabling
 real-time queries against the Max Mind GeoIP2 database within the Kamailio
 configuration file.

Package: kamailio-sqlite-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 sqlite3,
Description: SQLite database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the SQLite database driver for Kamailio.

Package: kamailio-json-modules
Architecture: linux-any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Json parser and Json-RPC modules for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a JSON parser for use in the Kamailio
 configuration file and the JSON-RPC client over netstrings.

Package: kamailio-memcached-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 kamailio-memcached-module,
Description: interface to the memcached server, for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the memcached module, an interface to the memcached
 server, a high-performance, distributed memory object caching system.

Package: kamailio-lua-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_lua module for Kamailio Lua support
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_lua module, an extension allowing to
 execute embedded Lua applications within the configuration file as
 well as writing the entire configuration file in Lua.

Package: kamailio-python3-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_python3 module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_python3 module, an extension allowing to
 execute embedded Python applications within the Kamailio SIP routing script.

Package: kamailio-ruby-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: app_ruby module for Kamailio Ruby support
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the app_ruby module, an extension allowing to
 execute embedded Ruby applications within the Kamailio SIP routing script.

Package: kamailio-redis-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Redis database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the Redis NOSQL database driver for Kamailio.

Package: kamailio-mysql-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 default-mysql-client | virtual-mysql-client,
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: MySQL database connectivity module for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the MySQL database driver for Kamailio.

Package: kamailio-postgres-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 postgresql-client,
 ${misc:Depends},
 ${shlibs:Depends},
Description: PostgreSQL database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the PostgreSQL database driver for Kamailio.

Package: kamailio-cpl-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: CPL module (CPL interpreter engine) for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a CPL (Call Processing Language) interpreter for
 Kamailio, turning Kamailio into a CPL server (storage and interpreter).

Package: kamailio-radius-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: RADIUS modules for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides a set of RADIUS modules for Kamailio, for
 authentication, peering, group membership and messages URIs checking against a
 RADIUS server.

Package: kamailio-unixodbc-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: unixODBC database connectivity module for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides the unixODBC database driver for Kamailio.

Package: kamailio-presence-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: SIP presence modules for Kamailio
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides several Kamailio modules for implementing a presence
 server and presence user agent for rich presence, registrar-based presence,
 external triggered presence with SIMPLE and XCAP support, as well as a
 set of other SIP event packages..

Package: kamailio-perl-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Perl extensions and database driver for the Kamailio SIP server
 Kamailio is a very fast and flexible SIP (RFC3261)
 server. Written entirely in C, Kamailio can handle thousands calls
 per second even on low-budget hardware.
 .
 This package provides an interface for Kamailio to write Perl extensions and
 the perlvdb database driver for Kamailio.

Package: kamailio-snmpstats-modules
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 kamailio (= ${binary:Version}),
 snmpd,
 ${misc:Depends},
 ${shlibs:Depends},
